<?php
extract($_POST);
switch ($producao){
	case 0 : $checked0 = 'checked';
	break;	
	case 1 : $checked1 = 'checked';
	break;	
	case 2 : $checked2 = 'checked';
	break;	
	case 3 : $checked3 = 'checked';
	break;	
}



switch ($i) {
    case 0:
        echo "i equals 0";
        break;
    case 1:
        echo "i equals 1";
        break;
    case 2:
        echo "i equals 2";
        break;
}


?>


    <td colspan="4"><table width="510" border="0">
      <tr>
        <th scope="col"><input name="rbProducao" type="radio" id="rbProducao4" value="0" <?php echo $checked0;?> />
        <label for="rbProducao4">Nada</label></th>
        <th scope="col"><input type="radio" name="rbProducao" id="rbProducao1" value="1" <?php echo $checked1;?>/>
          <label for="rbProducao1">Antes do Evento</label></th>
        <th scope="col"><input type="radio" name="rbProducao" id="rbProducao2" value="2" <?php echo $checked2;?> />
          <label for="rbProducao2">Para o Evento</label></th>
        <th scope="col"><input type="radio" name="rbProducao" id="rbProducao3" value="3" <?php echo $checked3;?> />
        Depois do Evento</th>
      </tr>
    </table>